%define upstream_name    Text-MultiMarkdown
%define upstream_version 1.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Convert MultiMarkdown syntax to (X)HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FindBin)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Text::Markdown)
BuildRequires: perl(Text::Unidecode)
BuildRequires: perl(version) >= 0.860.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Markdown is a text-to-HTML filter; it translates an easy-to-read /
easy-to-write structured text format into HTML. Markdown's text format is
most similar to that of plain text email, and supports features such as
headers, *emphasis*, code blocks, blockquotes, and links.

Markdown's syntax is designed not as a generic markup language, but
specifically to serve as a front-end to (X)HTML. You can use span-level
HTML tags anywhere in a Markdown document, and you can use block level HTML
tags ('<div>', '<table>' etc.). Note that by default Markdown isn't
interpreted in HTML block-level elements, unless you add a 'markdown=1"'
attribute to the element. See the Text::Markdown manpage for details.

This module implements the MultiMarkdown markdown syntax extensions from:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 22 2025 tv <tv> 1.5.0-1.mga10
+ Revision: 2178100
- update to 1.005

* Fri Jan 24 2025 tv <tv> 1.4.0-1.mga10
+ Revision: 2141966
- update to 1.004

* Wed Nov 01 2023 tv <tv> 1.2.0-1.mga10
+ Revision: 2003281
- update to 1.002

* Wed Aug 30 2023 tv <tv> 1.1.0-1.mga10
+ Revision: 1982003
- update to 1.001

* Mon Mar 21 2022 umeabot <umeabot> 1.0.35-11.mga9
+ Revision: 1810476
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.35-10.mga8
+ Revision: 1506712
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.0.35-9.mga7
+ Revision: 1286973
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.0.35-8.mga7
+ Revision: 1166964
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.0.35-7.mga7
+ Revision: 1159419
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.0.35-6.mga6
+ Revision: 1034995
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.0.35-5.mga6
+ Revision: 932183
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.35-4.mga5
+ Revision: 747255
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.0.35-3.mga5
+ Revision: 736098
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.35-2.mga5
+ Revision: 686635
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 1.0.35-1.mga5
+ Revision: 655076
- update to 1.000035

* Fri Oct 18 2013 umeabot <umeabot> 1.0.34-3.mga4
+ Revision: 515546
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.34-2.mga3
+ Revision: 374125
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.0.34-1.mga2
+ Revision: 107488
- update to 1.000034

* Sun Jan 23 2011 jquelin <jquelin> 1.0.33-1.mga1
+ Revision: 34358
- mageia rebuild
- imported package perl-Text-MultiMarkdown

